Bug 92293 - bubblemon applet - feature request
bubblemon applet - feature request
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-04 12:48 EDT by Dylan Tack
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 15:50:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dylan Tack 2003-06-04 12:48:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Hi,

   Please consider packaging the Bubblemon Bubbling Load Monitor!  It's won't
compile under RH 9 without some strange workarounds (seems to be looking for
glibtop, but that library is now called libgtop).

The Bubblemon mailing list mentions this workaround:
CC="gcc -lgtop -lgtop_sysdeps -lgtop_common" rpmbuild --rebuild
bubblemon-2.0.1-2.src.rpm

Although I've not had much luck with it so far.

I love this applet!  Without it, I may go back to RH 7.2.

http://www.nongnu.org/bubblemon/

Many thanks,
Dylan

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download bubblemon 2.0.1 from the URL above.
2.Do the gzip, tar, configure, make thing.
3.
    

Actual Results:  gnome1-meter.o(.text+0x79): In function `meter_init':
/tmp/bubblemon-2.0.1/src/gnome1-meter.c:78: undefined reference to
`glibtop_global_server'
gnome1-meter.o(.text+0x7e):/tmp/bubblemon-2.0.1/src/gnome1-meter.c:78: undefined
reference to `glibtop_get_mem_l'
gnome1-meter.o(.text+0x99):/tmp/bubblemon-2.0.1/src/gnome1-meter.c:80: undefined
reference to `glibtop_global_server'
gnome1-meter.o(.text+0x9e):/tmp/bubblemon-2.0.1/src/gnome1-meter.c:80: undefined
reference to `glibtop_get_swap_l'
gnome1-meter.o(.text+0x3ca): In function `getCpuLoad':
/tmp/bubblemon-2.0.1/src/gnome1-meter.c:98: undefined reference to
`glibtop_global_server'
gnome1-meter.o(.text+0x3cf):/tmp/bubblemon-2.0.1/src/gnome1-meter.c:98:
undefined reference to `glibtop_get_cpu_l'
gnome1-meter.o(.text+0x49b): In function `meter_getLoad':
/tmp/bubblemon-2.0.1/src/gnome1-meter.c:169: undefined reference to
`glibtop_global_server'
gnome1-meter.o(.text+0x4a0):/tmp/bubblemon-2.0.1/src/gnome1-meter.c:169:
undefined reference to `glibtop_get_mem_l'
gnome1-meter.o(.text+0x4ad):/tmp/bubblemon-2.0.1/src/gnome1-meter.c:170:
undefined reference to `glibtop_global_server'
gnome1-meter.o(.text+0x4b2):/tmp/bubblemon-2.0.1/src/gnome1-meter.c:170:
undefined reference to `glibtop_get_swap_l'
gnome1-netload.o(.text+0x29): In function `netload_reportNetworkLoad':
/tmp/bubblemon-2.0.1/src/gnome1-netload.c:58: undefined reference to
`glibtop_global_server'
gnome1-netload.o(.text+0x3c):/tmp/bubblemon-2.0.1/src/gnome1-netload.c:58:
undefined reference to `glibtop_get_netload_l'
collect2: ld returned 1 exit status
make[2]: *** [bubblemon-gnome2] Error 1
make[2]: Leaving directory `/tmp/bubblemon-2.0.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/bubblemon-2.0.1'
make: *** [all-recursive-am] Error 2


Expected Results:  A clean build.

Additional info:
Comment 1 Need Real Name 2003-07-19 09:04:07 EDT
I also miss bubblemon.  It was my prefered CPU load/memory usage monitor applet 
prior to my recent upgrade from RH7.3
Comment 2 Mark McLoughlin 2004-03-03 15:50:04 EST
No, gnome-applets definetly has enough applets as it is. If you think
its a good idea to get the applet into the GNOME Desktop release,
encourage the author to send a mail to desktop-devel-list@gnome.org
suggesting its inclusion.

Note You need to log in before you can comment on or make changes to this bug.